--- title: "Delete Scanning Exception on a Sensor" slug: "delete-scanning-exception-on-a-sensor-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/delete-scanning-exception-on-a-sensor-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete Scanning Exception on a Sensor This URL deletes the scanning exception on a Sensor. ### Resource URL DELETE /sensor//scanningexception ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor_id` | Sensor id | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `ScanningExceptionDeleteElement` | Object that contains the details of the field to be sent | Object | Yes | Details of fields in ScanningExceptionResponseElement: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `tcpPortRangeElement` | Object containing TCP port range | Object | No | | `udpPortRangeElement` | Object containing UDP port range | Object | No | | `vlanIdRangeElement` | Object containing VLAN id range | Object | No | Either of the above three fields be provided at a time. Details of fields in tcpPortRangeElement: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `tcpPortRange` | TCP port range in format "from-to" | String | Yes | Details of fields in udpPortRangeElement: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `udpPortRange` | UDP port range in format "from-to" | String | Yes | Details of fields in vlanIdRangeElement: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `vlanIdRange` | Vlan Id range in format "from-to" | String | Yes | | `portPairName` | Name of the port pair | String | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful, -1 otherwise | Number | ### Example **Request** DELETE [https:///sdkapi/sensor//scanningexception](https://<NSM_IP>/sdkapi/sensor/<sensor_id>/scanningexception) **Payload** ``` { "tcpPortRangeElement": { "tcpPortRange":"10-20" } } ``` **Response** ``` {       "status": 1 } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1501 | Scanning exception is not supported for the specified Sensor | | 2 | 400 | 1106 | Invalid Sensor | | 3 | 400 | 1503 | Provided settings does not exists |